### Method

# Camel BlockFile new_block

#### Declaration [src]

    CamelBlock*
    camel_block_file_new_block (
      CamelBlockFile* bs
    )

#### Description [src]

Allocate a new block, return a pointer to it. Old blocks may be flushed to disk during this call.

This method is not directly available to language bindings.

#### Return value

Type: `CamelBlock`

The block, or `NULL` if an error occurred.

The returned data is owned by the instance.
The return value can be `NULL`.